LiveCallRouters
Update a Live Call Router
Update a specific Live Call Router by id
PUT
/
v1
/
live_call_routers
/
{id}
Update a Live Call Router
curl --request PUT \
--url https://api.rootly.com/v1/live_call_routers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "live_call_routers",
"attributes": {
"enabled": true,
"name": "<string>",
"voicemail_greeting": "<string>",
"caller_greeting": "<string>",
"unavailable_responder_message": "<string>",
"sent_to_voicemail_delay": 123,
"should_redirect_to_voicemail_on_no_answer": true,
"escalation_level_delay_in_seconds": 123,
"should_auto_resolve_alert_on_call_end": true,
"notify_via_sms": true,
"notify_via_push_notification": true,
"informational_notification_message": "<string>",
"alert_urgency_id": "<string>",
"calling_tree_enabled": true,
"calling_tree_prompt": "<string>",
"paging_targets": [
{
"id": "<string>",
"alert_urgency_id": "<string>"
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/live_call_routers/{id}"
payload = { "data": {
"type": "live_call_routers",
"attributes": {
"enabled": True,
"name": "<string>",
"voicemail_greeting": "<string>",
"caller_greeting": "<string>",
"unavailable_responder_message": "<string>",
"sent_to_voicemail_delay": 123,
"should_redirect_to_voicemail_on_no_answer": True,
"escalation_level_delay_in_seconds": 123,
"should_auto_resolve_alert_on_call_end": True,
"notify_via_sms": True,
"notify_via_push_notification": True,
"informational_notification_message": "<string>",
"alert_urgency_id": "<string>",
"calling_tree_enabled": True,
"calling_tree_prompt": "<string>",
"paging_targets": [
{
"id": "<string>",
"alert_urgency_id": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'live_call_routers',
attributes: {
enabled: true,
name: '<string>',
voicemail_greeting: '<string>',
caller_greeting: '<string>',
unavailable_responder_message: '<string>',
sent_to_voicemail_delay: 123,
should_redirect_to_voicemail_on_no_answer: true,
escalation_level_delay_in_seconds: 123,
should_auto_resolve_alert_on_call_end: true,
notify_via_sms: true,
notify_via_push_notification: true,
informational_notification_message: '<string>',
alert_urgency_id: '<string>',
calling_tree_enabled: true,
calling_tree_prompt: '<string>',
paging_targets: [{id: '<string>', alert_urgency_id: '<string>'}]
}
}
})
};
fetch('https://api.rootly.com/v1/live_call_routers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "live_call_routers",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"enabled": true,
"phone_number": "<string>",
"voicemail_greeting": "<string>",
"caller_greeting": "<string>",
"unavailable_responder_message": "<string>",
"sent_to_voicemail_delay": 123,
"should_redirect_to_voicemail_on_no_answer": true,
"escalation_level_delay_in_seconds": 123,
"should_auto_resolve_alert_on_call_end": true,
"notify_via_sms": true,
"notify_via_push_notification": true,
"informational_notification_message": "<string>",
"alert_urgency_id": "<string>",
"calling_tree_prompt": "<string>",
"paging_targets": [
{
"id": "<string>",
"alert_urgency_id": "<string>"
}
],
"escalation_policy_trigger_params": {
"id": "<string>"
}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Live Call Router
